## golang-github-crawshaw-iox 0.0~git20181124.c51c3df

=== debian/changelog ===
golang-github-crawshaw-iox (0.0~git20181124.c51c3df-2) unstable; urgency=medium

  * Drop newgateway pipeline
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Silence Salsa lintian

 -- Simon Josefsson <simon@josefsson.org>  Sun, 08 Feb 2026 11:01:13 +0100

golang-github-crawshaw-iox (0.0~git20181124.c51c3df-1) unstable; urgency=medium

  * Initial release (Closes: #1095307)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2025 00:06:08 +0100
