=== debian/watch ===
Version: 5
Source: https://github.com/crawshaw/iox.git
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
